/*
 g++ -o dump_bi dump_bi.cpp -I/usr/local/include/ -I/usr/include/ -L/usr/local/libs -ltesseract -llept

 */

#include <tesseract/baseapi.h>
#include <leptonica/allheaders.h>

int main(int argc, char *argv[])
{
    Pix *image, *dump;

    tesseract::TessBaseAPI *api = new tesseract::TessBaseAPI();
    
    image = pixRead(argv[1]);
    if (!image) {
		fprintf(stderr, "Could create PIX from '%s'.\n", argv[1]);
		exit(1);
	}    

    int rc = api->Init(NULL, "eng");
	if (rc) {
		fprintf(stderr, "Could not initialize tesseract.\n");
		exit(1);
	}    

    api->SetPageSegMode(tesseract::PSM_SINGLE_BLOCK);
    api->SetImage(image);
    dump = api->GetThresholdedImage();
    pixWrite("dumped.tif", dump, IFF_TIFF_G4);
    printf("Saved dumped.png via GetThresholdedImage\n");
 
    api->Clear();
    api->End();
    pixDestroy(&image);
    pixDestroy(&dump);
    return 0;
}
